Outil de diagnostic DirectX

La documentation de l'outil de diagnostic Microsoft® DirectX® contient les rubriques suivantes :

  • À propos de l'outil de diagnostic DirectX
  • Que rechercher ?
  • Test des composants DirectX
  • Remplacement du comportement par défaut


À propos de l'outil de diagnostic DirectX

L'outil de diagnostic Microsoft® DirectX® fournit des informations concernant les composants API (application programming interface) DirectX et les pilotes installés sur votre système. Il vous permet de tester la sortie de son et de graphiques ainsi que les fournisseurs de services Microsoft DirectPlay®. Il vous permet également de désactiver certaines fonctionnalités d'accélération de matériel.

Vous pouvez utiliser l'outil de diagnostic pour regrouper des informations destinées à un technicien lors d'un appel au support technique, et vous pouvez enregistrer les informations récoltées puis les coller dans un message électronique.

Les informations sont présentées sur plusieurs pages. Vous pouvez vous déplacer entre les pages en utilisant n'importe laquelle des méthodes suivantes :

  • Cliquez sur les onglets.
  • Cliquez sur le bouton Page suivante.
  • Appuyez sur les touches GAUCHE ou DROITE lorsque le focus d'entrée se trouve sur un onglet.

Vous pouvez spécifier la manière dont cet outil affiche les tableaux. Pour cela, choisissez la colonne pour laquelle vous voulez trier les lignes du tableau. Cliquez sur le bouton d'en-tête situé dans la partie supérieure de cette colonne, et le tableau est trié par ordre alphabétique ou numérique en fonction des éléments que contient cette colonne. Pour inverser l'ordre de tri, cliquez à nouveau sur le bouton d'en-tête.

Vous pouvez cliquer sur le bouton Enregistrer toutes les informations pour enregistrer toutes les informations dans un fichier de texte.

Remarque

  • Certaines informations, telles que la quantité de mémoire d'une carte d'affichage, peuvent être des estimations.


Que rechercher ?

Si vous rencontrez des problèmes lors de l'exécution d'applications Microsoft® DirectX®, l'outil de diagnostic DirectX peut vous aider à rechercher la source du problème. Voici certains éléments que vous devez rechercher :

  • Versions incorrectes de composants DirectX. Dans la section Notes de la page Fichiers DirectX, recherchez les avertissements concernant les fichiers Bêta et de débogage. Les fichiers Bêta proviennent d'anciennes versions de test et ne doivent pas être installés avec des applications commerciales. Les versions de débogage, qui sont utilisées dans le développement de programmes et ne doivent donc pas être installées avec le produit final, peuvent entraîner un ralentissement conséquent de l'exécution de certaines applications par rapport celle avec des versions commercialisées des composants.
  • Accélération de matériel insuffisante. Certains programmes s'exécutent très lentement ou pas du tout, à moins que l'accélération de matériel Microsoft DirectDraw® ou Direct3D® ne soit disponible. Sur la page Affichage, sous Fonctionnalités DirectX, recherchez si l'accélération DirectDraw, Direct3D, ou AGP Texture est indiquée comme étant « Non disponible ». Dans ce cas, vous devez songer à mettre votre matériel à niveau.
  • Périphérique non connecté. Si un joystick ou autre périphérique d'entrée ne répond pas, il n'est peut être pas correctement configuré. Vérifiez que le périphérique est pris en compte dans la page Entrée de l'outil de diagnostic DirectX. Si tel n'est pas le cas, ajoutez-le via le Panneau de configuration.
  • Pilotes non certifiés. Microsoft n'a pas testé la compatibilité des pilotes non certifiés avec la dernière version de DirectX. Ces pilotes sont répertoriés sur la page de composants appropriée.

Remarque : Si vous utiliser les services Terminal server afin qu'ils fonctionnent sur un système distant qui prend en charge l'accélération de matériel, l'outil de diagnostic DirectX peut indiquer une prise en charge de l'accélération de matériel. Cependant, les services Terminal server ne peuvent utiliser l'accélération de matériel, la prise en charge n'est donc pas disponible.


Test des composants DirectX

Vous pouvez tester Microsoft® DirectDraw® et Direct3D® sur chaque moniteur relié à votre système. Vous pouvez également tester DirectSound® sur chaque périphérique de sortie de son, et DirectMusic® sur chaque port musical.

Pour tester une fonctionnalité DirectX : cliquez sur le bouton Tester sur la page appropriée, lisez les messages qui peuvent apparaître, et observez ou écoutez les tests. Laissez chaque test se poursuivre jusqu'à ce qu'un message apparaisse, vous demandant si le test a réussi. Si vous répondez Non, aucun autre test n'est exécuté.

Dans le cas de DirectMusic, il n'y a qu'un seul test. Cliquez sur OK lorsque vous être satisfait de la lecture de la musique.

Vous pouvez tester la fonctionnalité Microsoft DirectPlay® sur n'importe quel fournisseur de services disponible.

Pour tester DirectPlay

  1. Sur la page Réseau, cliquez sur Tester DirectPlay. Dans la boîte de dialogue Test DirectPlay, tapez un nom d'utilisateur et choisissez un fournisseur de services. Sélectionnez Créer une nouvelle session, et cliquez sur OK. Si vous avez choisi une connexion modem, cliquez sur Répondre dans la boîte de dialogue Connexion modem afin que le modem soit en mode de réponse automatique.
  2. Exécutez ensuite l'outil de diagnostic Microsoft DirectX® sur un autre ordinateur qui peut établir la connexion sélectionnée avec le premier ordinateur. Cliquez sur Tester DirectPlay, tapez un nom d'utilisateur différent, choisissez le même fournisseur de services, cliquez sur le bouton Se joindre à une session existante, puis cliquez sur OK.

    Pour certains types de connexions, il est possible que vous deviez fournir davantage d'informations, telles qu'un numéro de téléphone. Pour une connexion TCP/IP sur un réseau local, vous pouvez ne rien inscrire dans la zone de texte.

  3. Sur le second ordinateur, dans la Liste de sessions contenant le nom de la session que vous avez créée sur le premier ordinateur, sélectionnez le nom de la session, puis cliquez sur OK.
  4. Les deux ordinateurs doivent maintenant afficher une boîte de dialogue de discussion. Tapez un message dans la zone d'entrée d'un ordinateur, puis cliquez sur Envoyer. Le message doit apparaître dans la zone de défilement de la boîte de dialogue de discussion sur les deux ordinateurs.


Remplacement du comportement par défaut

À partir de la page Audio, vus pouvez définir un niveau d'accélération de matériel différent en déplaçant le curseur. Ce niveau demeure effectif après la fermeture de l'outil de diagnostic Microsoft® DirectX®.

Vous pouvez désactiver l'accélération de matériel pour Microsoft DirectDraw® ou Direct3D®, si une telle accélération est disponible. Pour cela, affichez la page Affichage pour chaque périphérique d'affichage, puis cliquez sur le bouton Désactiver. Lorsque vous avez désactivé l'accélération de matériel, celle-ci ne sera pas disponible pour les applications, même après la fermeture de l'outil de diagnostic DirectX. Pour activer à nouveau l'accélération de matériel, cliquez sur le bouton Activer sur la page d'affichage appropriée.

Remarque

  • La désactivation de l'accélération DirectDraw désactive également l'accélération pour Direct3D.

Vous pouvez également remplacer le taux de rafraîchissement du moniteur défini par les applications plein-écran DirectDraw. Vous devez effectuer cela uniquement si vous rencontrez des problèmes d'affichage avec une application et possédez une raison valable de croire que l'application possède un paramètre de taux de rafraîchissement non valide.

Pour définir un taux de rafraîchissement de remplacement

  1. Sur la page Aide supplémentaire, cliquez sur le bouton Remplacer.
  2. Dans la boîte de dialogue Remplacer la fréquence de rafraîchissement par défaut de DirectDraw, sélectionnez la zone d'édition et entrez un taux de rafraîchissement valide pour votre moniteur.

    Le bouton d'option Remplacer par la valeur est automatiquement sélectionné lorsque vous faites cela.

  3. Cliquez sur OK.

Pour annuler le taux de rafraîchissement de remplacement et permettre aux applications DirectDraw de définir leur propre taux de rafraîchissement

  1. Sur la page Aide supplémentaire, cliquez sur le bouton Remplacer.
  2. Dans la boîte de dialogue Remplacer la fréquence de rafraîchissement par défaut de DirectDraw, sélectionnez le bouton d'option Par défaut et cliquez sur OK.